platform_device_alloc
Prev | Device Drivers Base | Next

## Name

platform_device_alloc —

## Synopsis

`struct platform_device * platform_device_alloc (` | const char * | name,
| unsigned int | id`)`;

## Arguments

`name`

  base name of the device we're adding

`id`

  instance id

## Description

Create a platform device object which can have other objects attached to it, and which will have attached objects freed when it is released.

This device will be marked as not supporting hotpluggable drivers; no device add/remove uevents will be generated. In the unusual case that the device isn't being dynamically allocated as a legacy “probe the hardware” driver, infrastructure code should reverse this marking.

Prev | Up | Next
platform_device_put | Home | platform_device_add_resources